Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.net
Class DatagramPacket

    java.lang.Object
      jcontrol.net.DatagramPacket

    public class DatagramPacket

extends Object

JControl Implementation of DatagramPacket. This class represents a datagram packet. Datagram packets are used to implement a connectionless packet delivery service. Each message is routed from one machine to another based solely on information contained within that packet. Multiple packets sent from one machine to another might be routed differently, and might arrive in any order. Packet delivery is not guaranteed.

Constructor Summary
`DatagramPacket(byte[] buf, int length, InetAddress address, int port)` Constructs a datagram packet for sending packets of length length to the specified port number on the specified host.

Method Summary
`InetAddress` | `getAddress()` Returns the IP address of the machine to which this datagram is being sent or from which the datagram was received.
`byte[]` | `getData()` Returns the data buffer.
`int` | `getLength()` Returns the length of the data to be sent or the length of the data received.
`int` | `getOffset()` Returns the offset of the data to be sent or the offset of the data received.
`int` | `getPort()` Returns the port number on the remote host to which this datagram is being sent or from which the datagram was received.
`void` | `setAddress(InetAddress iaddr)` Sets the IP address of the machine to which this datagram is being sent.
`void` | `setData(byte[] buf)` Set the data buffer for this packet.
`void` | `setData(byte[] buf, int offset, int length)` Set the data buffer for this packet.
`void` | `setLength(int length)` Set the length for this packet.
`void` | `setPort(int port)` Sets the port number on the remote host to which this datagram is being sent.

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Constructor Detail

### DatagramPacket

    public DatagramPacket(byte[] buf,
                          int length,
                          InetAddress address,
                          int port)

  Constructs a datagram packet for sending packets of length length to the specified port number on the specified host. The length argument must be less than or equal to buf.length.

  Parameters:
    `buf` - - the packet data.
    `length` - - the packet length.
    `address` - - the destination address.
    `port` - - the destination port number.

Method Detail

### getAddress

    public InetAddress getAddress()

  Returns the IP address of the machine to which this datagram is being sent or from which the datagram was received.

  Returns:
    the IP address of the machine to which this datagram is being sent or from which the datagram was received.

### getData

    public byte[] getData()

  Returns the data buffer. The data received or the data to be sent starts from the offset in the buffer, and runs for length long.

  Returns:
    the buffer used to receive or send data

### getLength

    public int getLength()

  Returns the length of the data to be sent or the length of the data received.

  Returns:
    the length of the data to be sent or the length of the data received.

### getOffset

    public int getOffset()

  Returns the offset of the data to be sent or the offset of the data received.

  Returns:
    the offset of the data to be sent or the offset of the data received.

### getPort

    public int getPort()

  Returns the port number on the remote host to which this datagram is being sent or from which the datagram was received.

  Returns:
    the port number on the remote host to which this datagram is being sent or from which the datagram was received.

### setAddress

    public void setAddress(InetAddress iaddr)

  Sets the IP address of the machine to which this datagram is being sent.

  Parameters:
    `iaddr` - - the InetAddress

### setData

    public void setData(byte[] buf)

  Set the data buffer for this packet. With the offset of this DatagramPacket set to 0, and the length set to the length of buf.

  Parameters:
    `buf` - - the buffer to set for this packet
  Throws:
    `NullPointerException` - - if the argument is null

### setData

    public void setData(byte[] buf,
                        int offset,
                        int length)

  Set the data buffer for this packet. This sets the data, length and offset of the packet.

  Parameters:
    `buf` - - the buffer to set for this packet
    `offset` - - the offset into the data
    `length` - - the length of the data and/or the length of the buffer used to receive data
  Throws:
    `NullPointerException` - - if the argument is null

### setLength

    public void setLength(int length)

  Set the length for this packet. The length of the packet is the number of bytes from the packet's data buffer that will be sent, or the number of bytes of the packet's data buffer that will be used for receiving data. The length must be lesser or equal to the offset plus the length of the packet's buffer.

  Parameters:
    `length` - - the length to set for this packet.
  Throws:
    `IllegalArgumentException` - - if the length is negative or if the length is greater than the packet's data buffer length.

### setPort

    public void setPort(int port)

  Sets the port number on the remote host to which this datagram is being sent.

  Parameters:
    `port` - - the port number

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD